import React, { useState, useEffect } from 'react'
import { Card } from 'antd'
import styles from './BaseConfig.less'
import { S_GetDataBaseConfig, GetTCPConfigInfo,GetDataBaseConfig,GetBasicInfo } from '../../../../services/platform/hostmanager'




const BaseConfig = () => {


    const [currentDataBase, setCurrentDataBase] = useState({});
    const [currentSiteInfo, setcurrentSiteInfo] = useState("");


    useEffect(() => {
         getCurrentConfig()
         getSiteCode()
    },[])

    const getCurrentConfig = () => {
        // S_GetDataBaseConfig({
        //     _version: 9999,
        //     _dc: new Date().getTime(),
        // }).then(
        //     res => {
        //         if (res.success === true) {
        //             setCurrentDataBase(res)
        //         }
        //     }
        // )
        GetDataBaseConfig().then(
            res =>{
                if(res.code === 0){
                    setCurrentDataBase(res.data)
                }
            }
        )
    }
    const getSiteCode = () => {
        // GetTCPConfigInfo({
        //     _version: 9999,
        //     _dc: new Date().getTime(),
        // }).then(
        //     res => {
        //         if (res.say.statusCode === '0000') {
        //             setcurrentSiteInfo(res)
        //         }
        //     }
        // )
        GetBasicInfo().then(
            res =>{
                if(res.code === 0 ){
                    setcurrentSiteInfo(res.data)
                }
            }
        )
    }
    return (
        <div className={styles.base_container}>
            <Card title="数据库连接" style={{ width: 300 }}>
                <Card type="inner" title="服务器IP" style={{ margin: 10 }}>
                    {currentDataBase.ip}
                </Card>
                <Card type="inner" title="数据库名称" style={{ margin: 10 }}>
                    {currentDataBase.dbName}
                </Card>

            </Card>
            <Card title="权限验证" style={{ width: 300, marginLeft: 15 }}>
                <Card type="inner" title="登录名" style={{ margin: 10 }}>
                    {currentDataBase.userName}
                </Card>
                <Card type="inner" title="密码" style={{ margin: 10 }}>
                    {currentDataBase.password}
                </Card>
            </Card>
            <Card title="站点信息" style={{ width: 300, marginLeft: 15 }}>
                <Card type="inner" title="站点编号" style={{ margin: 10 }}>
                    {currentSiteInfo}
                </Card>
            </Card>
        </div>
    )

}
export default BaseConfig

