import React, { useState } from 'react'
import {
    // Tree,
    Table,
    Space,
    Input,
    Button,
    Select,
    Popconfirm
} from 'antd';
import { PlusCircleOutlined } from '@ant-design/icons';

const { Search } = Input;
const { Option } = Select;
import EditModal from './components/EditModal'
import VisibleRoleModal from './components/VisibleRoleModal'
import styles from './ProjectManage.less'
const ProjectManage = () => {

    const [visibleParams, setvisibleParams] = useState({
        modalVisible: false, // 新增弹窗
        delVisible: false, // 删除弹窗
        editVisible: false, // 修改弹窗
        spinLoading: false, // 加载弹窗
        btnLoading: false,
        loading: false,
        checkBoxLoading: false,
    });
    const [currentTemplate, setCurrentTempalte] = useState({});
    const columns = [
        {
            title: '方案名称',
            dataIndex: 'name',
            key: 'name',
            render: text => <a>{text}</a>,
        },
        {
            title: '方案类型',
            dataIndex: 'type',
            key: 'type',
        },
        {
            title: '推送方式',
            dataIndex: 'send_pattern',
            key: 'send_pattern',
        },
        {
            title: '推送组',
            dataIndex: 'receive_person',
            key: 'receive_person',
        },
        {
            title: '是否启用',
            dataIndex: 'is_use',
            key: 'is_use',
        },
        {
            title: '操作',
            dataIndex: 'action',
            key: 'action',
            width: 250,
            ellipsis: true,
            render: (text, record) => (
                <Space>
                    <Button
                        type="primary"
                        size="small"
                        onClick={() => {
                            TestDesc(record);
                        }}
                    >
                        测试
                    </Button>
                    <Button
                        type="primary"
                        size="small"
                        onClick={() => {
                            changeDesc(record);
                        }}
                    >
                        编辑
                    </Button>
                
                    <div onClick={e => e.stopPropagation()}>
                        <Popconfirm
                            title="是否删除该连接的历史记录？"
                            okText="确认"
                            cancelText="取消"
                            onConfirm={() => {
                                //delConfirm(record);
                            }}
                        >
                            <Button size="small" danger>
                                删除
                    </Button>
                        </Popconfirm>
                    </div>
                </Space>
            ),
        },

    ];
    const data = [
        {
            key: '1',
            name: "工单提醒",
            type: "工单办理",
            send_pattern: "平台弹框",
            receive_person: "推送组",
            is_use: "是"
        },
        {
            key: '2',
            name: "工单提醒",
            type: "工单办理",
            send_pattern: "平台弹框",
            receive_person: "推送组",
            is_use: "是"
        },
        {
            key: '3',
            name: "工单提醒",
            type: "工单办理",
            send_pattern: "平台弹框",
            receive_person: "推送组",
            is_use: "是"


        },
        {
            key: '4',
            name: "工单提醒",
            type: "工单办理",
            send_pattern: "平台弹框",
            receive_person: "推送组",
            is_use: "是"


        },
        {
            key: '5',
            name: "工单提醒",
            type: "工单办理",
            send_pattern: "平台弹框",
            receive_person: "推送组",
            is_use: "是"


        },
        {
            key: '6',
            name: "工单提醒",
            type: "工单办理",
            send_pattern: "平台弹框",
            receive_person: "推送组",
            is_use: "是"
        },
        {
            key: '7',
            name: "工单提醒",
            type: "工单办理",
            send_pattern: "平台弹框",
            receive_person: "推送组",
            is_use: "是"
        },
        {
            key: '8',
            name: "工单提醒",
            type: "工单办理",
            send_pattern: "平台弹框",
            receive_person: "推送组",
            is_use: "是"
        },
        {
            key: '9',
            name: "工单提醒",
            type: "工单办理",
            send_pattern: "平台弹框",
            receive_person: "推送组",
            is_use: "是"
        },
        {
            key: '10',
            name: "工单提醒",
            type: "工单办理",
            send_pattern: "平台弹框",
            receive_person: "推送组",
            is_use: "是"
        },
        {
            key: '11',
            name: "工单提醒",
            type: "工单办理",
            send_pattern: "平台弹框",
            receive_person: "推送组",
            is_use: "是"
        },
        {
            key: '12',
            name: "工单提醒",
            type: "工单办理",
            send_pattern: "平台弹框",
            receive_person: "推送组",
            is_use: "是"
        },
        {
            key: '13',
            name: "工单提醒",
            type: "工单办理",
            send_pattern: "平台弹框",
            receive_person: "推送组",
            is_use: "是"
        },
    ]
    const placeholder = '请输入方案名称'
    const handleSearch = () => {

    }
    const changeDesc = (record) => {

        setCurrentTempalte(record)
        handleShowModal("editVisible", true)
    }
    const TestDesc = (record) => {

        // setCurrentTempalte(record)
        // handleShowModal("editVisible", true)
    }
    // 弹出模态框
    const handleShowModal = (key, value) => {
        setvisibleParams({ ...visibleParams, [key]: value });
    };
    const editModal = () => {

    }

    return (
        <div className={styles.project_container}>
            <div className={styles.operate_bar}>
                <div className={styles.template_type}>
                    <div className={styles.title}>方案类型</div>
                    <Select placeholder="请选择方案类型!" defaultValue="0" style={{width:"150px"}}>
                        <Option value="0">全部</Option>
                        <Option value="1">监控报警</Option>
                        <Option value="2">工单办理</Option>
                        <Option value="3">平台公告</Option>
                        <Option value="4">定时推送</Option>
                    </Select>
                </div>
                <div className={styles.template_type}>
                    <div className={styles.title}>方案名称</div>
                    <Select placeholder="请选择方案名称!" defaultValue="0" style={{width:"150px"}}>
                        <Option value="0">全部</Option>
                        <Option value="1">GCK简报</Option>
                        <Option value="2">GCK运行日报</Option>
                        <Option value="3">二供简报</Option>
                        <Option value="4">消息提醒</Option>
                    </Select>
                </div>
                <div className={styles.fast_search}>
                    <div className={styles.title}>快速检索</div>
                    <Search
                        allowClear
                        placeholder={placeholder}
                        onSearch={handleSearch}
                        // onChange={handleChange}
                        enterButton
                        style={{ width: "300px" }}
                    />
                </div>
                <Button type="primary">重置</Button>

                <Button type="primary" style={{ marginLeft: "10px" }} icon={<PlusCircleOutlined />}>新增</Button>

            </div>
            <div className={styles.list_view}>
                <Table columns={columns} dataSource={data} pagination={{ pageSize: '10' }} />
            </div>
            <EditModal
                visible={visibleParams.editVisible}
                template={currentTemplate}
                onCancel={() => handleShowModal('editVisible', false)}
                confirmModal={editModal}
            />
            {/* <VisibleRoleModal
                visible={true}
                template={currentTemplate}
                onCancel={() => handleShowModal('editVisible', false)}
                confirmModal={editModal}
            /> */}


        </div>
    )
}
export default ProjectManage;