import React, { useState } from 'react'
import {
    // Tree,
    Table,
    Space,
    Input,
    Button,
    Select,
    Popconfirm
} from 'antd';
import { PlusCircleOutlined } from '@ant-design/icons';

const { Search } = Input;
const { Option } = Select;
import EditModal from './components/EditModal'
import styles from './TemplateManage.less'



const TemplateManage = () => {

    const [visibleParams, setvisibleParams] = useState({
        modalVisible: false, // 新增弹窗
        delVisible: false, // 删除弹窗
        editVisible: false, // 修改弹窗
        spinLoading: false, // 加载弹窗
        btnLoading: false,
        loading: false,
        checkBoxLoading: false,
    });
    const [currentTemplate, setCurrentTempalte] = useState({});
    const columns = [
        {
            title: '模板名称',
            dataIndex: 'name',
            key: 'name',
            render: text => <a>{text}</a>,
        },
        {
            title: '模板类型',
            dataIndex: 'type',
            key: 'type',
        },
        {
            title: '第三方模板名称',
            dataIndex: 'third_name',
            key: 'third_name',
        },
        {
            title: '第三方模版编号',
            dataIndex: 'third_id',
            key: 'third_id',
        },
        {
            title: '模板参数',
            dataIndex: 'template_params',
            key: 'template_params',
        },
        {
            title: '解析参数',
            dataIndex: 'analysis_params',
            key: 'analysis_params',
        },
        {
            title: '参数说明',
            dataIndex: 'desc',
            key: 'desc',
        },
        {
            title: '操作',
            dataIndex: 'action',
            key: 'action',
            width: 250,
            ellipsis: true,
            render: (text, record) => (
                <Space>
                    <Button
                        type="primary"
                        size="small"
                        onClick={() => {
                            changeDesc(record);
                        }}
                    >
                        编辑
                </Button>
                    <div onClick={e => e.stopPropagation()}>
                        <Popconfirm
                            title="是否删除该连接的历史记录？"
                            okText="确认"
                            cancelText="取消"
                            onConfirm={() => {
                                //delConfirm(record);
                            }}
                        >
                            <Button size="small" danger>
                                删除
                    </Button>
                        </Popconfirm>
                    </div>
                </Space>
            ),
        },

    ];
    const data = [
        {
            key: '1',
            name: "节水报表通知",
            type: "节水报表通知",
            third_name: "节水报表通知",
            third_id: "节水报表通知",
            template_params: "节水报表通知",
            analysis_params: "节水报表通知",
            desc: "节水报表通知"


        },
        {
            key: '2',
            name: "节水报表通知",
            type: "节水报表通知",
            third_name: "节水报表通知",
            third_id: "节水报表通知",
            template_params: "节水报表通知",
            analysis_params: "节水报表通知",
            desc: "节水报表通知"


        },
        {
            key: '3',
            name: "节水报表通知",
            type: "节水报表通知",
            third_name: "节水报表通知",
            third_id: "节水报表通知",
            template_params: "节水报表通知",
            analysis_params: "节水报表通知",
            desc: "节水报表通知"


        },
        {
            key: '4',
            name: "节水报表通知",
            type: "节水报表通知",
            third_name: "节水报表通知",
            third_id: "节水报表通知",
            template_params: "节水报表通知",
            analysis_params: "节水报表通知",
            desc: "节水报表通知"


        },
        {
            key: '5',
            name: "节水报表通知",
            type: "节水报表通知",
            third_name: "节水报表通知",
            third_id: "节水报表通知",
            template_params: "节水报表通知",
            analysis_params: "节水报表通知",
            desc: "节水报表通知"


        },
        {
            key: '6',
            name: "节水报表通知",
            type: "节水报表通知",
            third_name: "节水报表通知",
            third_id: "节水报表通知",
            template_params: "节水报表通知",
            analysis_params: "节水报表通知",
            desc: "节水报表通知"


        },
        {
            key: '7',
            name: "节水报表通知",
            type: "节水报表通知",
            third_name: "节水报表通知",
            third_id: "节水报表通知",
            template_params: "节水报表通知",
            analysis_params: "节水报表通知",
            desc: "节水报表通知"


        },
        {
            key: '8',
            name: "节水报表通知",
            type: "节水报表通知",
            third_name: "节水报表通知",
            third_id: "节水报表通知",
            template_params: "节水报表通知",
            analysis_params: "节水报表通知",
            desc: "节水报表通知"


        },
        {
            key: '9',
            name: "节水报表通知",
            type: "节水报表通知",
            third_name: "节水报表通知",
            third_id: "节水报表通知",
            template_params: "节水报表通知",
            analysis_params: "节水报表通知",
            desc: "节水报表通知"


        },
        {
            key: '10',
            name: "节水报表通知",
            type: "节水报表通知",
            third_name: "节水报表通知",
            third_id: "节水报表通知",
            template_params: "节水报表通知",
            analysis_params: "节水报表通知",
            desc: "节水报表通知"


        },
        {
            key: '11',
            name: "节水报表通知",
            type: "节水报表通知",
            third_name: "节水报表通知",
            third_id: "节水报表通知",
            template_params: "节水报表通知",
            analysis_params: "节水报表通知",
            desc: "节水报表通知"


        },
        {
            key: '12',
            name: "节水报表通知",
            type: "节水报表通知",
            third_name: "节水报表通知",
            third_id: "节水报表通知",
            template_params: "节水报表通知",
            analysis_params: "节水报表通知",
            desc: "节水报表通知"


        },
        {
            key: '13',
            name: "节水报表通知",
            type: "节水报表通知",
            third_name: "节水报表通知",
            third_id: "节水报表通知",
            template_params: "节水报表通知",
            analysis_params: "节水报表通知",
            desc: "节水报表通知"


        },
    ]
    const placeholder = '请输入模板名称'
    const handleSearch = () => {

    }
    const changeDesc = (record)=>{
        
        setCurrentTempalte(record)
        handleShowModal("editVisible",true)
    }
    // 弹出模态框
    const handleShowModal = (key, value) => {
        setvisibleParams({ ...visibleParams, [key]: value });
    };
    const editModal = () => {

    }

    return (
        <div className={styles.template_container}>
            <div className={styles.operate_bar}>
                <div className={styles.template_type}>
                    <div className={styles.title}>模板类型</div>
                    <Select placeholder="请选择是否!" defaultValue="0">
                        <Option value="0">全部</Option>
                        <Option value="1">公众号</Option>
                        <Option value="2">短信</Option>
                        <Option value="3">APP</Option>
                        <Option value="4">WEB</Option>
                    </Select>
                </div>
                <div className={styles.fast_search}>
                    <div className={styles.title}>快速检索</div>
                    <Search
                        allowClear
                        placeholder={placeholder}
                        onSearch={handleSearch}
                        // onChange={handleChange}
                        enterButton
                        style={{ width: "300px" }}
                    />
                </div>
                <Button type="primary">重置</Button>

                <Button type="primary" style={{ marginLeft: "10px" }} icon={<PlusCircleOutlined />}>新增</Button>

            </div>
            <div className={styles.list_view}>
                <Table columns={columns} dataSource={data} pagination={{ pageSize: '10' }} />
            </div>
            <EditModal
                visible={visibleParams.editVisible}
                template={currentTemplate}
                onCancel={() => handleShowModal('editVisible', false)}
                confirmModal={editModal}
            />

        </div>
    )
}
export default TemplateManage;